path: /build/build/zram-init-sys-block-11.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} sys-block/zram-init -pv -t && \
    emerge -j ${JOBS} --nodeps sys-block/zram-init
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/zram-init && luet-portage --dir /pkgdir/zram-init
    sys-block/zram-init && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  - cp zram-init /pkgdir/zram-init/etc/conf.d/
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: zram-init
    version: "11.1"
    category: sys-block
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Scripts to support compressed swap devices or ramdisks with zRAM
    uri:
    - https://github.com/vaeth/zram-init/
    license: GPL-2
    buildtimestamp: 2023-09-14 22:19:39.430939705 +0000 UTC m=+74.133461305
    labels:
      BDEPEND: sys-devel/gettext
      RDEPEND: app-shells/push virtual/libintl || ( sys-apps/openrc sys-apps/systemd
        )
      emerge.packages: sys-block/zram-init
      kit: core-kit
      original.package.name: sys-block/zram-init
      original.package.slot: "0"
      original.package.version: "11.1"
    treedir: /build/packages
  package_dir: /pkgdir/zram-init
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1a46d9f5a6c48e7746bf8fc6fadb3e0d15528f52697e587b4c7bba271cceca45
compressiontype: zstd
files:
- etc/conf.d/zram-init
- etc/init.d/zram-init
- etc/modprobe.d/zram.conf
- lib/systemd/system/zram_btrfs.service
- lib/systemd/system/zram_swap.service
- lib/systemd/system/zram_tmp.service
- lib/systemd/system/zram_var_tmp.service
- sbin/zram-init
- usr/share/doc/zram-init-11.1/AUTHORS.bz2
- usr/share/doc/zram-init-11.1/ChangeLog.bz2
- usr/share/doc/zram-init-11.1/README.gentoo.bz2
- usr/share/doc/zram-init-11.1/README.md.bz2
- usr/share/locale/de/LC_MESSAGES/zram-init.mo
- usr/share/locale/fr/LC_MESSAGES/zram-init.mo
- usr/share/man/de/man8/zram-init.8.bz2
- usr/share/man/man8/zram-init.8.bz2
- usr/share/zsh/site-functions/_zram-init
- var/db/pkg/sys-block/zram-init-11.1/BDEPEND
- var/db/pkg/sys-block/zram-init-11.1/BUILD_TIME
- var/db/pkg/sys-block/zram-init-11.1/CATEGORY
- var/db/pkg/sys-block/zram-init-11.1/CBUILD
- var/db/pkg/sys-block/zram-init-11.1/CFLAGS
- var/db/pkg/sys-block/zram-init-11.1/CHOST
- var/db/pkg/sys-block/zram-init-11.1/CONTENTS
- var/db/pkg/sys-block/zram-init-11.1/COUNTER
- var/db/pkg/sys-block/zram-init-11.1/CXXFLAGS
- var/db/pkg/sys-block/zram-init-11.1/DEFINED_PHASES
- var/db/pkg/sys-block/zram-init-11.1/DESCRIPTION
- var/db/pkg/sys-block/zram-init-11.1/EAPI
- var/db/pkg/sys-block/zram-init-11.1/FEATURES
- var/db/pkg/sys-block/zram-init-11.1/HOMEPAGE
- var/db/pkg/sys-block/zram-init-11.1/INHERITED
- var/db/pkg/sys-block/zram-init-11.1/IUSE
- var/db/pkg/sys-block/zram-init-11.1/IUSE_EFFECTIVE
- var/db/pkg/sys-block/zram-init-11.1/KEYWORDS
- var/db/pkg/sys-block/zram-init-11.1/LDFLAGS
- var/db/pkg/sys-block/zram-init-11.1/LICENSE
- var/db/pkg/sys-block/zram-init-11.1/PF
- var/db/pkg/sys-block/zram-init-11.1/RDEPEND
- var/db/pkg/sys-block/zram-init-11.1/SIZE
- var/db/pkg/sys-block/zram-init-11.1/SLOT
- var/db/pkg/sys-block/zram-init-11.1/USE
- var/db/pkg/sys-block/zram-init-11.1/environment.bz2
- var/db/pkg/sys-block/zram-init-11.1/repository
- var/db/pkg/sys-block/zram-init-11.1/zram-init-11.1.ebuild
package_cacheimage: ""
runtime:
  name: zram-init
  version: "11.1"
  category: sys-block
  requires:
  - name: push
    version: '>=0'
    category: app-shells
  - name: openrc
    version: '>=0'
    category: sys-apps
  - name: libintl
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Scripts to support compressed swap devices or ramdisks with zRAM
  uri:
  - https://github.com/vaeth/zram-init/
  license: GPL-2
  labels:
    BDEPEND: sys-devel/gettext
    RDEPEND: app-shells/push virtual/libintl || ( sys-apps/openrc sys-apps/systemd
      )
    emerge.packages: sys-block/zram-init
    kit: core-kit
    original.package.name: sys-block/zram-init
    original.package.slot: "0"
    original.package.version: "11.1"
